import React, { useState, useEffect, useCallback, useRef } from 'react';
import commonStyles from '../common.less';
import { equipImageMap } from '@/config/image.js';
const { curtain_close_icon_row, curtain_open_icon_row } = equipImageMap;

export default (id, index) => {
  const [downFlag, setDownFlag] = useState(false);
  const [upFlag, setUpFlag] = useState(false);
  const [count, setCount] = useState();
  let setTimer = useRef(null);
  const handleCurtain = (setType, id, index) => {
    if (downFlag || upFlag) return; // 左右按钮互称
    if (setType == 'EquipOffSet') {
      setDownFlag(true);
      setUpFlag(false);
    } else {
      setUpFlag(true);
      setDownFlag(false);
    }
    setCount(2);
    setTimer.current = setInterval(() => {
      setCount((count) => {
        return count - 1;
      });
    }, 1000);
  };

  useEffect(() => {
    if (count === 0) {
      setDownFlag(false);
      setUpFlag(false);
      clearInterval(setTimer.current);
    }
  }, [count]);
  return (
    <>
      <div
        onClick={() => {
          handleCurtain('EquipOffSet', id, 1);
        }}
        className={`${commonStyles.circulBtn} ${commonStyles.mgr20} ${
          downFlag ? commonStyles.yell : ''
        }`}
      >
        {downFlag && <div>{count}</div>}
        {!downFlag && <img className={commonStyles.btnIcon} src={curtain_close_icon_row}></img>}
      </div>

      <div
        onClick={() => {
          handleCurtain('EquipOnSet', id, 2);
        }}
        className={`${commonStyles.circulBtn} ${commonStyles.mgr20} ${
          upFlag ? commonStyles.yell : ''
        }`}
      >
        {upFlag && <div>{count}</div>}
        {!upFlag && <img className={commonStyles.btnIcon} src={curtain_open_icon_row}></img>}
      </div>
    </>
  );
};
