import React, { useState, useEffect, useCallback } from 'react';
import styles from './index.less';
import commonStyles from '../common.less';
import { equipImageMap } from '@/config/image.js';
import CurtainBtn from './curtainBtn';
import { getObjectDataEqpGroupHttp } from '@/services/ant-design-pro/equipment';

const { curtain_open_row, expend_down, expend_up } = equipImageMap;

export default () => {
  const [isMore, setIsMore] = useState(true);
  const [flagSvg, setFlagSvg] = useState(true);
  const [suspendDownFlag, setSuspendDownFlag] = useState(true); // 总向下暂停
  const [suspendUpFlag, setSuspendUpFlag] = useState(false); // 总向下暂停
  const [count, setCount] = useState(2); // 倒计时
  const [countText, setCountText] = useState(); // 倒计时文案

  const lampArr = [
    { id: '1', title: '主灯', sta: true },
    { id: '2', title: '顶灯', sta: false },
  ];
  function handleExpend() {
    setFlagSvg(!flagSvg);
  }
  useEffect(() => {
    const params = {
      criteria: {
        projectId: 'Pj1101080259',
        spaceId: 'Sp1101080259c4434730d12144ba890fe11f796d3143',
        type: 0,
      },
      orders: [{ column: 'sortNum', asc: true }],
    };
    getObjectDataEqpGroupHttp(params).then((res) => {
      debugger;
    });
  }, []);

  return (
    <div className={commonStyles.box}>
      <div className={commonStyles.content}>
        <div className={commonStyles.env}>
          <div className={commonStyles.envLeft}>
            <span className={commonStyles.eqTitle}>窗帘</span>
            <div className={`${commonStyles.eqStatus} ${commonStyles.pdt10}`}>
              <span>窗帘已开启</span>
            </div>
            {isMore && (
              <div className={commonStyles.showAll} onClick={handleExpend}>
                <img className={commonStyles.showImg} src={flagSvg ? expend_up : expend_down}></img>
                <div className={commonStyles.showAllText}>显示全部</div>
              </div>
            )}
          </div>
          <div className={commonStyles.envRight}>
            <img className={commonStyles.roomEqImg} src={curtain_open_row} />
          </div>
          {!flagSvg && (
            <div className={commonStyles.eqCirculBtn}>
              <CurtainBtn downFlag={suspendDownFlag}></CurtainBtn>
            </div>
          )}
        </div>
      </div>
      {lampArr.map((item, idx) => {
        if (flagSvg) {
          return (
            <div className={`${styles.lampChild} ${commonStyles.flexBetween}`} key={item.id}>
              <div className={commonStyles.eqTitle}>{item.title}</div>
              <div className={commonStyles.dsflex}>
                <CurtainBtn></CurtainBtn>
              </div>
            </div>
          );
        }
      })}
    </div>
  );
};
